summaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2016-03-11 10:10:15 -0500
committerNick Mathewson <nickm@torproject.org>2016-03-11 10:10:15 -0500
commit36ac47bd85b1c2c7077b7b008362f6b8da42e237 (patch)
tree0ba66236d1e3649f824402c9fd954e848f772488 /src/test
parent25fa21802f578db0e2852084a95a23b60ef1d1e9 (diff)
parentb860f82d565191a6d21bde0b6940fc1871e4d935 (diff)
downloadtor-36ac47bd85b1c2c7077b7b008362f6b8da42e237.tar.gz
tor-36ac47bd85b1c2c7077b7b008362f6b8da42e237.zip
Merge remote-tracking branch 'public/bug18204_028'
Diffstat (limited to 'src/test')
-rwxr-xr-xsrc/test/bt_test.py8
-rwxr-xr-xsrc/test/test_bt.sh6
2 files changed, 11 insertions, 3 deletions
diff --git a/src/test/bt_test.py b/src/test/bt_test.py
index dab02d7699..30591453b9 100755
--- a/src/test/bt_test.py
+++ b/src/test/bt_test.py
@@ -39,7 +39,15 @@ for I in range(len(LINES)):
print("OK")
sys.exit(0)
+print("BAD")
+
for l in LINES:
print("{}".format(l), end="")
+if sys.platform.startswith('freebsd'):
+ # See bug #17808 if you know how to fix this.
+ print("Test failed; but FreeBSD is known to have backtrace problems.\n"
+ "Treating as 'SKIP'.")
+ sys.exit(77)
+
sys.exit(1)
diff --git a/src/test/test_bt.sh b/src/test/test_bt.sh
index f55f451f92..033acac955 100755
--- a/src/test/test_bt.sh
+++ b/src/test/test_bt.sh
@@ -3,8 +3,8 @@
exitcode=0
-"${builddir:-.}/src/test/test-bt-cl" backtraces || exit 77
-"${builddir:-.}/src/test/test-bt-cl" assert | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
-"${builddir:-.}/src/test/test-bt-cl" crash | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
+"${builddir:-.}/src/test/test-bt-cl" backtraces || exit $?
+"${builddir:-.}/src/test/test-bt-cl" assert | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
+"${builddir:-.}/src/test/test-bt-cl" crash | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
exit ${exitcode}